# Keithley 2750 Multimeter/Switch System

class `pymeasure.instruments.keithley.``Keithley2750`(adapter, **kwargs)

  Bases: `pymeasure.instruments.instrument.Instrument`

  Represents the Keithley2750 multimeter/switch system and provides a high-level interface for interacting with the instrument.

  `check_errors`()

    Return any accumulated errors. Must be reimplemented by subclasses.

  `close`(channel)

    Closes (connects) the specified channel.

    Parameters

      channel (int) – 3-digit number for the channel

    Returns

      None

  property `closed_channels`

    Reads the list of closed channels

  property `id`

    Requests and returns the identification of the instrument.

  `open`(channel)

    Opens (disconnects) the specified channel.

    Parameters

      channel (int) – 3-digit number for the channel

    Returns

      None

  `open_all`()

    Opens (disconnects) all the channels on the switch matrix.

    Returns

      None

  `reset`()

    Resets the instrument.

  `shutdown`()

    Brings the instrument to a safe and stable state